function norm_t=tnorrP(t_coef,levels)

% calculation of norms of testing waveforms Theta ( wavelet packets convolved with kernel)
lenlev=length(levels);
a=t_coef{1}{1};
        la=length(a);
norm_t=[];
kn=0;
for nn=1:lenlev
    kk=levels(nn);
    for mm=1:2^kk
        kn=kn+1;
        a=ifft(t_coef{kk}{mm});
       na=norm(a); 
        %na=norm(a)/sqrt(la);
        norm_t=[norm_t;kn kk mm na];
    end
end
        
